// 右键 - 指令
app.directive('ngRightClick', function($parse) {  
    return function(scope, element, attrs) {
        var fn = $parse(attrs.ngRightClick);  
        element.bind('contextmenu', function(event) {  
        	//console.log(scope.$rightScope);
            scope.$apply(function() {
                event.preventDefault();
                scope.$rightScope = null;
                fn(scope, {$event:event});
            });
        });
    };  
});